@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('package::user.name') !!} <small> {!! trans('app.manage') !!} {!! trans('package::user.names') !!}</small>
@stop

@section('title')
{!! trans('package::user.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('package::user.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='package-user-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="package-user-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('package::user.label.reporting_to')!!}</th>
                    <th>{!! trans('package::user.label.name')!!}</th>
                    <th>{!! trans('package::user.label.email')!!}</th>
                    <th>{!! trans('package::user.label.password')!!}</th>
                    <th>{!! trans('package::user.label.status')!!}</th>
                    <th>{!! trans('package::user.label.api_token')!!}</th>
                    <th>{!! trans('package::user.label.remember_token')!!}</th>
                    <th>{!! trans('package::user.label.sex')!!}</th>
                    <th>{!! trans('package::user.label.dob')!!}</th>
                    <th>{!! trans('package::user.label.designation')!!}</th>
                    <th>{!! trans('package::user.label.mobile')!!}</th>
                    <th>{!! trans('package::user.label.phone')!!}</th>
                    <th>{!! trans('package::user.label.address')!!}</th>
                    <th>{!! trans('package::user.label.street')!!}</th>
                    <th>{!! trans('package::user.label.city')!!}</th>
                    <th>{!! trans('package::user.label.district')!!}</th>
                    <th>{!! trans('package::user.label.state')!!}</th>
                    <th>{!! trans('package::user.label.country')!!}</th>
                    <th>{!! trans('package::user.label.photo')!!}</th>
                    <th>{!! trans('package::user.label.web')!!}</th>
                    <th>{!! trans('package::user.label.permissions')!!}</th>
                    <th>{!! trans('package::user.label.status')!!}</th>
                    <th>{!! trans('package::user.label.created_at')!!}</th>
                    <th>{!! trans('package::user.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[reporting_to]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[email]')->raw()!!}</th>
                    <th>{!! Form::text('search[password]')->raw()!!}</th>
                    <th>{!! Form::text('search[status]')->raw()!!}</th>
                    <th>{!! Form::text('search[api_token]')->raw()!!}</th>
                    <th>{!! Form::text('search[remember_token]')->raw()!!}</th>
                    <th>{!! Form::text('search[sex]')->raw()!!}</th>
                    <th>{!! Form::text('search[dob]')->raw()!!}</th>
                    <th>{!! Form::text('search[designation]')->raw()!!}</th>
                    <th>{!! Form::text('search[mobile]')->raw()!!}</th>
                    <th>{!! Form::text('search[phone]')->raw()!!}</th>
                    <th>{!! Form::text('search[address]')->raw()!!}</th>
                    <th>{!! Form::text('search[street]')->raw()!!}</th>
                    <th>{!! Form::text('search[city]')->raw()!!}</th>
                    <th>{!! Form::text('search[district]')->raw()!!}</th>
                    <th>{!! Form::text('search[state]')->raw()!!}</th>
                    <th>{!! Form::text('search[country]')->raw()!!}</th>
                    <th>{!! Form::text('search[photo]')->raw()!!}</th>
                    <th>{!! Form::text('search[web]')->raw()!!}</th>
                    <th>{!! Form::text('search[permissions]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#package-user-entry', '{!!trans_url('admin/package/user/0')!!}');
    oTable = $('#package-user-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/package/user') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#package-user-list .search_bar input, #package-user-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'reporting_to'},
                    {data :'name'},
                    {data :'email'},
                    {data :'password'},
                    {data :'status'},
                    {data :'api_token'},
                    {data :'remember_token'},
                    {data :'sex'},
                    {data :'dob'},
                    {data :'designation'},
                    {data :'mobile'},
                    {data :'phone'},
                    {data :'address'},
                    {data :'street'},
                    {data :'city'},
                    {data :'district'},
                    {data :'state'},
                    {data :'country'},
                    {data :'photo'},
                    {data :'web'},
                    {data :'permissions'},
                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#package-user-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#package-user-list').DataTable().row( this ).data();

        $('#package-user-entry').load('{!!trans_url('admin/package/user')!!}' + '/' + d.id);
    });

    $("#package-user-list .search_bar input, #package-user-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

