<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-8 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('package::user.title.user') !!}</h4>
                                <p class="sub-title">{!! trans('package::user.title.sub.user') !!}</p>
                            </div>
                            <div class="col-sm-4">
                                <div class="header-form">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(trans_url(get_guard('url').'/package/user'))!!}
                                    <div class="form-group form-white mn">
                                      {!!Form::text('search')->type('text')->placeholder('Search')->raw()!!}
                                    </div>
                                    <button type="submit" class="btn btn-icon btn-round btn-white btn-raised search-btn"><i class="fa fa-search"></i></button>
                                    {!! Form::close()!!}
                                    <a href="{!!trans_url(get_guard('url').'/package/user/create')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="content table-responsive table-full-width">
                        @include('public::notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('package::user.label.reporting_to')!!}</th>
                    <th>{!! trans('package::user.label.name')!!}</th>
                    <th>{!! trans('package::user.label.email')!!}</th>
                    <th>{!! trans('package::user.label.password')!!}</th>
                    <th>{!! trans('package::user.label.status')!!}</th>
                    <th>{!! trans('package::user.label.api_token')!!}</th>
                    <th>{!! trans('package::user.label.remember_token')!!}</th>
                    <th>{!! trans('package::user.label.sex')!!}</th>
                    <th>{!! trans('package::user.label.dob')!!}</th>
                    <th>{!! trans('package::user.label.designation')!!}</th>
                    <th>{!! trans('package::user.label.mobile')!!}</th>
                    <th>{!! trans('package::user.label.phone')!!}</th>
                    <th>{!! trans('package::user.label.address')!!}</th>
                    <th>{!! trans('package::user.label.street')!!}</th>
                    <th>{!! trans('package::user.label.city')!!}</th>
                    <th>{!! trans('package::user.label.district')!!}</th>
                    <th>{!! trans('package::user.label.state')!!}</th>
                    <th>{!! trans('package::user.label.country')!!}</th>
                    <th>{!! trans('package::user.label.photo')!!}</th>
                    <th>{!! trans('package::user.label.web')!!}</th>
                    <th>{!! trans('package::user.label.permissions')!!}</th>
                    <th>{!! trans('package::user.label.status')!!}</th>
                    <th>{!! trans('package::user.label.created_at')!!}</th>
                    <th>{!! trans('package::user.label.updated_at')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($users as $user)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{trans_url('user')}}/{{$user->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($user->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $user->reporting_to }}</td>
                    <td>{{ $user->name }}</td>
                    <td>{{ $user->email }}</td>
                    <td>{{ $user->password }}</td>
                    <td>{{ $user->status }}</td>
                    <td>{{ $user->api_token }}</td>
                    <td>{{ $user->remember_token }}</td>
                    <td>{{ $user->sex }}</td>
                    <td>{{ $user->dob }}</td>
                    <td>{{ $user->designation }}</td>
                    <td>{{ $user->mobile }}</td>
                    <td>{{ $user->phone }}</td>
                    <td>{{ $user->address }}</td>
                    <td>{{ $user->street }}</td>
                    <td>{{ $user->city }}</td>
                    <td>{{ $user->district }}</td>
                    <td>{{ $user->state }}</td>
                    <td>{{ $user->country }}</td>
                    <td>{{ $user->photo }}</td>
                    <td>{{ $user->web }}</td>
                    <td>{{ $user->permissions }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('user')}}/{!!$user->getRouteKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View User" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! trans_url(get_guard('url').'/package/user') !!}/{!! $user->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit User" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove User" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! trans_url(get_guard('url').'/package/user') !!}/{!! $user->getRouteKey() !!}" data-remove="{!! $user->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td><h4>No users found.</h4></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="footer">
                        {{$users->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>