<?php

namespace Provider\Package\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Provider\Package\Interfaces\UserRepositoryInterface;

class UserPublicController extends BaseController
{
    // use UserWorkflow;

    /**
     * Constructor.
     *
     * @param type \Provider\User\Interfaces\UserRepositoryInterface $user
     *
     * @return type
     */
    public function __construct(UserRepositoryInterface $user)
    {
        $this->repository = $user;
        parent::__construct();
    }

    /**
     * Show user's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $users = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('package::public.user.index', compact('users'))->render();
    }

    /**
     * Show user.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $user = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('package::public.user.show', compact('user'))->render();
    }

}
