<?php

namespace Provider\Package\Workflow;

use Provider\Package\Models\User;
use Provider\Package\Notifications\User as UserNotifyer;
use Notification;

class UserNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param User $user
     *
     * @return void
     */
    public function complete(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param User $user
     *
     * @return void
     */
    public function verify(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param User $user
     *
     * @return void
     */
    public function approve(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param User $user
     *
     * @return void
     */
    public function publish(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param User $user
     *
     * @return void
     */
    public function archive(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param User $user
     *
     * @return void
     */
    public function unpublish(User $user)
    {
        return Notification::send($user->user, new UserNotifyer($user, 'unpublish'));;

    }
}
